|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QWhatsThisAction Class Reference

The QWhatsThisAction class provides a ready-made action to invoke "What's This" context help. More...

    #include <QWhatsThisAction>

Part of the QtGui module.

Inherits QAction.

- List of all members, including inherited members

### Public Functions

- QWhatsThisAction ( QObject * parent = 0 )

- 31 public functions inherited from QAction
- 28 public functions inherited from QObject

### Additional Inherited Members

- 13 properties inherited from QAction
- 1 property inherited from QObject
- 7 public slots inherited from QAction
- 1 public slot inherited from QObject
- 4 signals inherited from QAction
- 1 signal inherited from QObject
- 4 static public members inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

The QWhatsThisAction class provides a ready-made action to invoke "What's This" context help.

QWhatsThisAction is a convenient way to let users enter "What's this?" mode. Instantiate a QWhatsThisAction object, and add it to either a menu, a tool bar, or a tool button.

See also QWhatsThis, QToolBar, QMenu, and QToolButton.

## Member Function Documentation

### QWhatsThisAction::QWhatsThisAction ( QObject * parent = 0 )

Constructs a What's This?- action with a parent.